View Issue Details

IDProjectCategoryView StatusLast Update
0003555GNUnetUDP transportpublic2018-06-07 00:25
ReporterBart PolotAssigned ToBart Polot 
PrioritynormalSeverityminorReproducibilityrandom
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003555: UDP does not work reliably between computers
DescriptionFrom time to time I see:

Oct 22 19:44:24-669474 transport-13071 WARNING External protocol violation detected at plugin_transport_udp.c:2673.
TagsNo tags attached.

Activities

Christian Grothoff

2014-12-16 20:40

manager   ~0008704

This doesn't really say if there is a problem, as any 'stray' UDP packet from non-peers may trigger this as well.

In SVN 34650, I've added some additional log statements that will print the origin of the UDP packet. If the packets do originate from a GNUnet peer, then there is an issue; if not, we should call this one resolved.

Christian Grothoff

2015-03-02 20:55

manager   ~0008964

Is this still an issue with the recent fixes to UDP?

Christian Grothoff

2015-03-08 12:57

manager   ~0009001

I believe this is fixed.

Issue History

Date Modified Username Field Change
2014-10-22 20:05 Bart Polot New Issue
2014-10-22 20:05 Bart Polot Status new => assigned
2014-10-22 20:05 Bart Polot Assigned To => Matthias Wachs
2014-12-16 20:40 Christian Grothoff Note Added: 0008704
2014-12-16 20:40 Christian Grothoff Assigned To Matthias Wachs => Bart Polot
2014-12-16 20:40 Christian Grothoff Status assigned => feedback
2015-02-11 20:18 Christian Grothoff Target Version 0.11.0pre66 =>
2015-03-02 20:55 Christian Grothoff Note Added: 0008964
2015-03-08 12:57 Christian Grothoff Note Added: 0009001
2015-03-08 12:57 Christian Grothoff Status feedback => resolved
2015-03-08 12:57 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-03-08 12:57 Christian Grothoff Resolution open => fixed
2015-03-08 12:57 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed